Bug 1906274 - StorageClass installed by Cinder csi driver operator should enable the allowVolumeExpansion to support volume resize.
Summary: StorageClass installed by Cinder csi driver operator should enable the allowV...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Martin André
QA Contact: Wei Duan
URL:
Whiteboard:
: 1917022 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-10 06:03 UTC by Wei Duan
Modified: 2021-02-24 15:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:41:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openstack-cinder-csi-driver-operator pull 15 0 None closed Bug 1906274: Set allowVolumeExpansion for standard-csi SC 2021-02-19 08:54:16 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:42:08 UTC

Description Wei Duan 2020-12-10 06:03:42 UTC
Description of problem:
Currently, the storageclass "standard-csi" installed by Cinder csi driver operator doesn't enable the allowVolumeExpansion.
It's better to enable it as default like Cinder in-tree plugin to support volume resize.

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-09-112139

How reproducible:
Always

Steps to Reproduce:
1. Install OSP cluster and cinder csi driver is installed. 
2. Check the storageclass installed by cinder csi driver operator if volume resize is enabled by default.

Actual results:
$ oc get sc standard-csi
NAME           PROVISIONER                RECLAIMPOLICY   VOLUMEBINDINGMODE      ALLOWVOLUMEEXPANSION   AGE
standard-csi   cinder.csi.openstack.org   Delete          WaitForFirstConsumer   false                  5h18m

Expected results:
It's better to enable it as default like Cinder in-tree plugin to support volume resize.

Comment 2 Martin André 2021-01-11 14:36:28 UTC
It looks like we're setting the `allowVolumeExpansion: true` property in the StorageClass already:

https://github.com/openshift/cluster-storage-operator/blob/19981dc/assets/storageclasses/openstack.yaml#L9

Why is it not picked up?

Comment 3 Martin André 2021-01-11 17:00:07 UTC
(In reply to Martin André from comment #2)
> It looks like we're setting the `allowVolumeExpansion: true` property in the
> StorageClass already:
> 
> https://github.com/openshift/cluster-storage-operator/blob/19981dc/assets/
> storageclasses/openstack.yaml#L9
> 
> Why is it not picked up?

My bad, I was looking at the storage class for the in-tree cinder provisioner. The cinder-csi one doesn't have it.
https://github.com/openshift/openstack-cinder-csi-driver-operator/blob/eb9f7a3/assets/storageclass.yaml

Comment 6 Wei Duan 2021-01-20 07:29:02 UTC
Verified pass on 4.7.0-0.nightly-2021-01-19-095812

$ oc get sc standard-csi
NAME           PROVISIONER                RECLAIMPOLICY   VOLUMEBINDINGMODE      ALLOWVOLUMEEXPANSION   AGE
standard-csi   cinder.csi.openstack.org   Delete          WaitForFirstConsumer   true                   3h57m

Comment 7 Mike Fedosin 2021-01-20 17:04:38 UTC
*** Bug 1917022 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2021-02-24 15:41:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.